package com.ruoyi.invest.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.*;
/**
 * 记账账户对象 accounts
 *
 * @author tianyongbao
 * @date 2024-03-30
 */
@ApiModel("记账账户对象")
@Data
public class Accounts extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 名称 */
    @ApiModelProperty(value="名称)")
    @NotNull(message="名称不能为空")
    @Excel(name = "名称")
    private String name;

    /** 账户类型 */
    @ApiModelProperty(value="账户类型)")
    @NotNull(message="账户类型不能为空")
    @Excel(name = "账户类型")
    private String type;

    /** 账号 */
    @ApiModelProperty(value="账号)")
    @NotNull(message="账号不能为空")
    @Excel(name = "账号")
    private String code;

    /** 余额 */
    @ApiModelProperty(value="余额)")
    @NotNull(message="余额不能为空")
    @Excel(name = "余额")
    private Double balance;

    /** 信用卡额度 */
    private Integer creditLimit;

    /** 可用额度 */
    @ApiModelProperty(value="可用额度")
    @Excel(name = "可用额度")
    private Double availableLimit;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 账户主键 */
    private Long accountId;

    /** 账户状态 */
    @ApiModelProperty(value="账户状态")
    @Excel(name = "账户状态")
    private String state;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("type", getType())
            .append("code", getCode())
            .append("balance", getBalance())
            .append("creditLimit", getCreditLimit())
            .append("availableLimit", getAvailableLimit())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .append("accountId", getAccountId())
            .append("state", getState())
            .toString();
    }
}
